#! /bin/sh
sudo -S bash -c "apt update && apt dist-upgrade && \
	apt install bash-completion locales man mc elinks git zsh curl neovim byobu htop \
	command-not-found apt-file apt-transport-https ca-certificates software-properties-common \
	python3-venv python3 libpython-dev libpython3-dev cmake clang build-essential && \
	apt-file update && \
	update-command-not-found"

# node related
curl -sL https://deb.nodesource.com/setup_10.x | sudo -E bash -
sudo apt-get install -y nodejs

# python3 related
sudo -HS bash -c "curl -RLfs https://bootstrap.pypa.io/get-pip.py | python2 && \
	curl -RLfs https://bootstrap.pypa.io/get-pip.py | python3"

# Docker related
curl -RLSsf1 https://github.com/schtobia/bootstrap/raw/master/docker-install.sh | sudo -SH bash -

# userspace stuff
curl -RLSsf1 https://github.com/schtobia/bootstrap/raw/master/bootstrap-user.sh | bash -
